/****************************************************************************************
*  YAROCK                                                                               *
*  Copyright (c) 2010-2013 Sebastien amardeilh <sebastien.amardeilh+yarock@gmail.com>   *
*                                                                                       *
*  This program is free software; you can redistribute it and/or modify it under        *
*  the terms of the GNU General Public License as published by the Free Software        *
*  Foundation; either version 2 of the License, or (at your option) any later           *
*  version.                                                                             *
*                                                                                       *
*  This program is distributed in the hope that it will be useful, but WITHOUT ANY      *
*  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A      *
*  PARTICULAR PURPOSE. See the GNU General Public License for more details.             *
*                                                                                       *
*  You should have received a copy of the GNU General Public License along with         *
*  this program.  If not, see <http://www.gnu.org/licenses/>.                           *
*****************************************************************************************/

#ifndef _COVER_PROVIDER_H_
#define _COVER_PROVIDER_H_

#include <QObject>
#include <QString>
#include <QByteArray>

/*
********************************************************************************
*                                                                              *
*    Class CoverProvider                                                       *
*                                                                              *
********************************************************************************
*/
class CoverProvider : public QObject
{
Q_OBJECT
public:
    CoverProvider(const QString& name, QObject* parent);

    QString name() const { return m_name; }

    virtual void start_search(int id) {};

    virtual void set_search(const QString& artist, const QString& album) {};

private:
    QString    m_name;

signals:
    void data_received(int, QByteArray);

    void search_finished(int);
};

#endif // _COVER_PROVIDER_H_
